﻿using System;
    using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PrintGridWithHeaderText_WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
    public MainWindow()
    {
        InitializeComponent();
        this.SfdataGrid.PrintSettings.PrintPageHeaderTemplate = Resources["HeaderTemplate"] as DataTemplate;
        this.SfdataGrid.PrintSettings.PrintPageFooterTemplate = Resources["FooterTemplate"] as DataTemplate;
        this.SfdataGrid.PrintSettings.PrintPageHeaderHeight = 35;
        this.SfdataGrid.PrintSettings.PrintPageFooterHeight = 35;
        this.SfdataGrid.PrintSettings.AllowRepeatHeaders = false;
    }

        private void Print_Click(object sender, RoutedEventArgs e)
        {
            this.SfdataGrid.Print();
        }

        private void PrintPreview_Click(object sender, RoutedEventArgs e)
        {
            this.SfdataGrid.PrintSettings.AllowColumnWidthFitToPrintPage = false;
            this.SfdataGrid.PrintSettings.AllowRepeatHeaders = true;
            this.SfdataGrid.ShowPrintPreview();
        }
    }
}
